---
title: NDEFMessage.records
slug: Web/API/NDEFMessage/records
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p><span class="seoSummary">The <code>records</code> property of {{DOMxRef("NDEFMessage")}} interface represents a list of {{DOMxRef("NDEFRecord")}}s defining the NDEF message.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var<em> recordList = NDEFMessage</em>.records;
</pre>

<h3 id="Value">Value</h3>

<p>A list of {{DOMxRef("NDEFRecord")}} object that represent data recorded in the message.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefmessage-records">Web NFC, DNEFMessage.records</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.NDEFMessage.records")}}</p>
</div>
